Overview | Modules | Class Hierarchy | Classes | Members

Classes | Namespaces | Defines | Typedefs | Functions
PropertyTypes.h File Reference
`#include <set>`
`#include <vector>`
`#include <string>`
`#include <list>`
`#include <iostream>`
`#include <sstream>`
`#include <float.h>`
`#include <tulip/StoredType.h>`
`#include <tulip/Coord.h>`
`#include <tulip/Size.h>`
`#include <tulip/Color.h>`
`#include <tulip/StringCollection.h>`
`#include <tulip/Edge.h>`
`#include <tulip/AbstractProperty.h>`
Include dependency graph for PropertyTypes.h:
This graph shows which files directly or indirectly include this file:

## Classes

- class tlp::TypeInterface< T >
- class tlp::SerializableType< T >
- class tlp::SerializableVectorType< VT, openParen >
- class tlp::GraphType
- class tlp::EdgeSetType
- class tlp::DoubleType
- class tlp::FloatType
- class tlp::IntegerType
- class tlp::LongType
- class tlp::UnsignedIntegerType
- class tlp::BooleanType
- class tlp::BooleanVectorType
- class tlp::LineType
- class tlp::PointType
- class tlp::SizeType
- class tlp::StringType
- class tlp::StringVectorType
- class tlp::ColorType

## Namespaces

- namespace tlp

## Defines

- #define FORWARD_TOSTRING(T) static std::string toString(const T::RealType &v) { std::ostringstream oss; write(oss, v); return oss.str(); }
- #define FORWARD_FROMSTRING(T) static bool fromString(T::RealType &v, const std::string &s) { std::istringstream iss(s); return read(iss, v); }
- #define FORWARD_STRING_METHODS(T) FORWARD_FROMSTRING(T) FORWARD_TOSTRING(T)

## Typedefs

- typedef SerializableVectorType
  < double, false > tlp::DoubleVectorType
- typedef SerializableVectorType
  < int, false > tlp::IntegerVectorType
- typedef SerializableVectorType
  < tlp::Size, true > tlp::SizeVectorType
- typedef SerializableVectorType
  < tlp::Color, true > tlp::ColorVectorType
- typedef SerializableVectorType
  < tlp::Coord, true > tlp::CoordVectorType

## Functions

- TLP_SCOPE void tlp::initTypeSerializers ()

## Define Documentation

#define FORWARD_FROMSTRING | ( |  | T | ) | static bool fromString(T::RealType &v, const std::string &s) { std::istringstream iss(s); return read(iss, v); }

#define FORWARD_STRING_METHODS | ( |  | T | ) | FORWARD_FROMSTRING(T) FORWARD_TOSTRING(T)

#define FORWARD_TOSTRING | ( |  | T | ) | static std::string toString(const T::RealType &v) { std::ostringstream oss; write(oss, v); return oss.str(); }

Tulip Software by LaBRI Visualization Team 2001 - 2012